# Jobs dependencies

{% hint style="info" %}
NB: you will also need `authorized professions` and `languages` to create any job offer.
{% endhint %}

In order to create a job, you will need the following information:

* `salary_currencies`
  * authorized currencies when specifying a salary
  * *examples: EUR, USD*
* `salary_periods`
  * authorized periods when specifying a salary
  * *examples: yearly, monthly, etc.*
* `contract_types`
  * authorized contract types
  * *examples: FULL\_TIME, PART\_TIME, TEMPORARY, FREELANCE, INTERNSHIP, APPRENTICESHIP*
* `experience_levels`
  * authorized experience levels
  * *examples: 1\_TO\_2\_YEARS, MORE\_THAN\_15\_YEARS, etc.*
* `education_levels`
  * authorized education levels
  * *examples: PHD, NO\_DIPLOMA, etc.*
* `remote_levels`
  * authorized remote levels
  * *examples: fulltime, partial, punctual, no*
* `cms_sites_references`
  * authorized cms sites references
  * *examples: wttj\_fr,smgo\_fr,btbw\_fr etc.*

## jobs dependencies

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/jobs/dependencies`

{% tabs %}
{% tab title="200 The command returns JSON structured like this:" %}

```
{
  "contract_types": [
    {
      "id": "FULL_TIME",
        "name": {
          "en": "Full-Time",
          "fr": "CDI"
        }
    },
    {
      "id": "TEMPORARY",
      "name": {
        "en": "Temporary",
        "fr": "CDD / Temporaire"
      }
    },
    {
      "id": "INTERNSHIP",
      "name": {
        "en": "Internship",
        "fr": "Stage"
      }
    },
    ...
  ],
  "education_levels": [
    {
      "id": "NO_DIPLOMA",
      "name": {
        "en": "No Diploma",
        "fr": "Sans dipl\u00f4me"
      }
    },
    {
      "id": "CAP",
      "name": {
        "en": "Youth Training",
        "fr": "CAP"
      }
    },
    {
      "id": "BAC",
      "name": {
        "en": "BTEC National Diploma",
        "fr": "Bac"
      }
    },
    ...
  ],
  "experience_levels": [
    {
      "id": "LESS_THAN_6_MONTHS",
      "name": {
        "en": "Less than 6 months",
        "fr": "Moins de 6 mois"
      }
    },
    {
      "id": "6_MONTHS_TO_1_YEAR",
      "name": {
        "en": "6 months - 1 year",
        "fr": "6 mois \u00e0 1 an"
      }
    },
    {
      "id": "1_TO_2_YEARS",
      "name": {
        "en": "1 - 2 years",
        "fr": "1 \u00e0 2 ans"
      }
    },
    ...
  ],
  "remote_levels": [
    {
      "id": "fulltime",
      "name": {
        "en": "Possible full remote",
        "fr": "Télétravail total possible"
      }
    },
    {
      "id": "partial",
      "name": {
        "en": "Partial remote authorized",
        "fr": "Télétravail partiel autorisé"
      }
    },
    {
      "id": "punctual",
      "name": {
        "en": "Occasional remote authorized",
        "fr": "Télétravail ponctuel autorisé"
      }
    },
    {
      "id": "no",
      "name": {
        "en": "Non authorized",
        "fr": "Non autorisé"
      }
    }
  ],
  "salary_currencies": [
    "EUR",
    "USD"
  ],
  "salary_periods": [
    "yearly",
    "monthly",
    "daily",
    "none"
  ],
  "cms_sites_references": [
    "wttj_fr",
    "smgo_fr"
  ]
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/jobs/dependencies" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/jobs-api/jobs/get-jobs-dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
